function AISMN_BecomeAttackable::OnEnter(%this, %obj)
{
   //%obj.enableToolActions();
}

function AISMN_BecomeAttackable::OnExit(%this, %obj)
{
   %object = GetThisObject(%obj);
   IsAttackable(%object, true);
}

function AISMN_BecomeAttackable::Update(%this, %obj)
{
   ReturnValue(%obj, 0);
}
